Skip to main content
GET
/
sites
/
{site_id}
/
environments
Get site environments
curl --request GET \
  --url https://api.kinsta.com/v2/sites/{site_id}/environments \
  --header 'Authorization: Bearer <token>'
{
  "site": {
    "environments": [
      {
        "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
        "name": "live",
        "display_name": "Live",
        "is_blocked": false,
        "id_edge_cache": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
        "cdn_cache_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
        "is_opt_out_from_automatic_php_update": false,
        "web_root": "/release_v1",
        "image_optimization_type": "lossy",
        "is_additional_sftp_accounts_enabled": false,
        "is_premium": false,
        "wordpress_version": "6.3.1",
        "domains": [
          {
            "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "name": "example.com",
            "site_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "is_active": true,
            "type": "live"
          }
        ],
        "primaryDomain": {
          "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
          "name": "example.com",
          "site_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
          "is_active": true,
          "type": "live"
        },
        "ssh_connection": {
          "ssh_port": "808080",
          "ssh_ip": {
            "external_ip": "1xx.1xx.1xx.1xx"
          }
        },
        "container_info": {
          "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
          "php_engine_version": "php8.3"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

site_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Response

Successfully found site environments

site
object
required